#!/bin/bash
# can define vars and other properties here
# /etc/foundationdb/fdb.cluster

function die {
	echo "$@"
	exit 1
}

[[ -z "$CXN" ]] && die "No FDB connection string given."

mkdir -p /etc/foundationdb/

echo $CXN > /etc/foundationdb/fdb.cluster
chmod 644 /etc/foundationdb/fdb.cluster

java \
	-jar slack-app.jar \
	server \
	config.yaml
